import { jsx } from "react/jsx-runtime";
import { Playlist as Playlist$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Playlist = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Playlist", ...props, children: /* @__PURE__ */ jsx(Playlist$1, { weight: variant }) });
  }
);
Playlist.displayName = "Playlist";
Object.assign(Playlist, { isGdsIcon: true });
export {
  Playlist
};
